<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
   
      <link rel="stylesheet" href="private/helpwin.css">
      <title>MATLAB File Help: iData_Sab</title>
   </head>
   <body>
      <!--Single-page help-->
      <table border="0" cellspacing="0" width="100%">
         <tr class="subheader">
            <td class="headertitle">MATLAB File Help: iData_Sab</td>
            <td class="subheader-left">View code for iData_Sab</td>
            <td class="subheader-right">Default Topics</td>
         </tr>
      </table>
      <div class="title">iData_Sab</div>
      <div class="helptext"><pre><!--helptext -->  <span class="helptopic">iData_Sab</span> Create a 2D S(alpha,beta) data set (iData flavour)
 
  The <span class="helptopic">iData_Sab</span> class is a 2D data set holding a S(alpha,beta) dynamic 
    structure factor aka scattering function/law.
    The data set axes are alpha as 1st axis (rows), beta as 2nd axis (columns).
 
  The S(alpha,beta) is a representation of the dynamic structure factor 
  using unitless momentum and energy variables defined as:
      alpha= h2q2/2MkT  = (Ei+Ef-2*mu*sqrt(Ei*Ef))/AkT
      beta = -hw/kT     = (Ef-Ei)/kT                  energy gained by neutron
      A    = M/m
      mu   = cos(theta) = (Ki.^2 + Kf.^2 - q.^2) ./ (2*Ki.*Kf)
  This representation is common in nuclear data, neutron sections (e.g. ENDF MF7).
 
  Conventions:
  beta = (Ef-Ei)/kT = -hw/kT  energy gained by the neutron, unitless
     beta &lt; 0, neutron looses energy, down-scattering (Stokes)
     beta &gt; 0, neutron gains energy,  up-scattering (anti-Stokes)
 
  Example: sab=<span class="helptopic">iData_Sab</span>('SQW_coh_lGe.nc', 72.6,1235)
 
  Useful methods for this iData flavour:
 
  methods(<span class="helptopic">iData_Sab</span>)
    all iData methods can be used.
  <span class="helptopic">iData_Sab</span>(sab)
    convert input [e.g. a 2D iData object] into an <span class="helptopic">iData_Sab</span> to give access to
    the methods below.
 
  d   = dos(sab)
    Compute the generalized vibrational density of states (gDOS).
 
  t   = thermochemistry(sab,T)
    Compute and display thermochemistry quantities from the gDOS.
 
  m   = moments(sab, M, T)
    Compute the S(alpha,beta) moments/sum rules (harmonic frequencies).
 
  sym = symmetrize(sab)
    Extend the S(alpha,beta) in both 'beta' sides. The resulting S(a,b) is classical/symmetric in energy.
 
  sb  = Bosify(sab,T)
    Apply the 'Bose' factor (detailed balance) to a classical data set.
 
  s   = deBosify(sab,T)
    Remove Bose factor (detailed balance) from an 'experimental/quantum' data set.
 
  p   = parseparams(sab)
    Search for physical quantities in S(alpha,beta) data set.
 
  sqw = Sqw(sab)
    Convert an S(alpha,beta) to an S(q,w), which is roughly independent of the temperature.
 
  xs  = scattering_cross_section(sab, Ei)
    Compute the total integrated scattering cross section
 
  dr  = dynamic_range(sab, Ei, angles)
    Compute the dynamic range restricted to given incident energy and detector angles
 
  sq  = structure_factor(sab)
    Compute the structure factor S(q)
 
  [inc,multi] = incoherent(sab)
    Compute the incoherent neutron scattering law estimate in the incoherent 
      gaussian approximation, using its density of states.
 
  [gDOS,M]    = multi_phonons(sab)
    Compute the integrated multi-phonon DOS terms from an initial density of states</pre></div><!--after help --><!--seeAlso--><div class="footerlinktitle">See also</div><div class="footerlink"> iData, iData_Sqw2D, iData_vDOS
</div>
      <!--Class-->
      <div class="sectiontitle">Class Details</div>
      <table class="class-details">
         <tr>
            <td class="class-detail-label">Superclasses</td>
            <td>iData</td>
         </tr>
         <tr>
            <td class="class-detail-label">Sealed</td>
            <td>false</td>
         </tr>
         <tr>
            <td class="class-detail-label">Construct on load</td>
            <td>false</td>
         </tr>
      </table>
      <!--Constructors-->
      <div class="sectiontitle"><a name="constructors"></a>Constructor Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">iData_Sab</td>
            <td class="m-help">Create the iData_Sab subclass&nbsp;</td>
         </tr>
      </table>
      <!--Properties-->
      <div class="sectiontitle"><a name="properties"></a>Property Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="name">Attributes</td>
            <td class="m-help">Attributes (structure that mimics the Data)&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Axis</td>
            <td class="m-help">Axes for the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Data</td>
            <td class="m-help">Imported data.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Date</td>
            <td class="m-help">Date of creation of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Error</td>
            <td class="m-help">Error bar on the Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Format</td>
            <td class="m-help">Format of the initial data, as text.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Label</td>
            <td class="m-help">Labels of Axes.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Loader</td>
            <td class="m-help">Loader configuration (struct).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Monitor</td>
            <td class="m-help">Monitor, e.g. counting time, weight, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Name</td>
            <td class="m-help">Name of the object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Signal</td>
            <td class="m-help">Signal (vs Axes).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Source</td>
            <td class="m-help">Source of the data, e.g. file name, URL, etc.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Tag</td>
            <td class="m-help">Object unique ID.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">Title</td>
            <td class="m-help">Label for_Signal.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">UserData</td>
            <td class="m-help">An area to store what you want.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="name">cache</td>
            <td class="m-help">&nbsp;</td>
         </tr>
      </table>
      <!--Methods-->
      <div class="sectiontitle"><a name="methods"></a>Method Summary
      </div>
      <table class="summary-list">
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">Bosify</td>
            <td class="m-help">Apply the 'Bose' factor (detailed balance) to a classical data set.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">Sqw</td>
            <td class="m-help">Convert a 2D S(alpha,beta) into an S(q,w).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">deBosify</td>
            <td class="m-help">Remove the 'Bose' factor from an experimental/quantum data set.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">dos</td>
            <td class="m-help">Density of states (DOS) from S(alpha,beta).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">dynamic_range</td>
            <td class="m-help">Crop the S(alpha,beta) to the available dynamic range.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">iData</td>
            <td class="m-help">Convert a iData_Sab back to iData.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">incoherent</td>
            <td class="m-help">Multi-phonon incoherent approximation.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">moments</td>
            <td class="m-help">S(q,w) moments/sum rules (harmonic frequencies).&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">multi_phonons</td>
            <td class="m-help">Multi-phonon density-of-states.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">parseparams</td>
            <td class="m-help">Search for physical quantities in object.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">scattering_cross_section</td>
            <td class="m-help">Total neutron scattering cross section.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">structure_factor</td>
            <td class="m-help">Structure factor.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">symmetrize</td>
            <td class="m-help">Extend the S(alpha,beta) in both beta/energy sides.&nbsp;</td>
         </tr>
         <tr class="summary-item">
            <td class="attributes">
               &nbsp;
               
            </td>
            <td class="name">thermochemistry</td>
            <td class="m-help">Thermodynamic quantities for 2D S(alpha,beta) data sets.&nbsp;</td>
         </tr>
         
      </table>
   </body>
</html>
